## org.omg.TimeBase
Class InaccuracyTHelper

    java.lang.Object
      |
      +--org.omg.TimeBase.InaccuracyTHelper

public class InaccuracyTHelper
extends java.lang.Object

Helper class for : InaccuracyT

Author:
  OpenORB Compiler

Constructor Summary
`InaccuracyTHelper()`

Method Summary
`static long` `extract(Any a)` Extract InaccuracyT from an any
`static java.lang.String` `id()` Return the InaccuracyT IDL ID
`static void` `insert(Any a, long t)` Insert InaccuracyT into an any
`static long` `read(InputStream istream)` Read InaccuracyT from a marshalled stream
`static TypeCode` `type()` Return the InaccuracyT TypeCode
`static void` `write(OutputStream ostream, long value)` Write InaccuracyT into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InaccuracyTHelper

    public InaccuracyTHelper()

Method Detail

### insert

    public static void insert(Any a,
                              long t)

  Insert InaccuracyT into an any
  Parameters:
    `a` - an any
    `t` - InaccuracyT value

### extract

    public static long extract(Any a)

  Extract InaccuracyT from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted InaccuracyT value

### type

    public static TypeCode type()

  Return the InaccuracyT TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the InaccuracyT IDL ID
  Returns:
    an ID

### read

    public static long read(InputStream istream)

  Read InaccuracyT from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed InaccuracyT value

### write

    public static void write(OutputStream ostream,
                             long value)

  Write InaccuracyT into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - InaccuracyT value